about summary refs log tree commit diff
path: root/test/pnmpsnr.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pnmpsnr.test')
-rwxr-xr-xtest/pnmpsnr.test19
1 files changed, 13 insertions, 6 deletions
diff --git a/test/pnmpsnr.test b/test/pnmpsnr.test
index c6520002..7603459b 100755
--- a/test/pnmpsnr.test
+++ b/test/pnmpsnr.test
@@ -25,16 +25,23 @@ pnmpsnr  testimg.ppm  testimg.ppm -target=1000
 pnmpsnr  testimg.ppm  testimg.ppm -target1=1000 -target2=1000 -target3=1000
 
 
-echo "Test 3"
+echo "Test Invalid"
+
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
 
 echo 1>&2
 echo "Invalid command-line argument combinations." 1>&2
 echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
-pnmpsnr ${b_pbm} ${w_pbm} ${b_pbm}     || echo "Expected failure 1"
-pnmpsnr ${b_pbm}                       || echo "Expected failure 2"
-pnmpsnr ${b_pbm} ${w_pbm} -target1=100 || echo "Expected failure 3"
-pnmpsnr                   -machine     || echo "Expected failure 4"
+pnmpsnr ${b_pbm} ${w_pbm} ${b_pbm}     > ${test_out} || \
+   echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+pnmpsnr ${b_pbm}                       > ${test_out} || \
+   echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+pnmpsnr ${b_pbm} ${w_pbm} -target1=100 > ${test_out} || \
+   echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
+pnmpsnr                   -machine     > ${test_out} || \
+   echo -n "Expected failure 4"; test -s ${test_out}; echo " "$?
 
-rm ${b_pbm} ${w_pbm}
\ No newline at end of file
+rm ${b_pbm} ${w_pbm} ${test_out}